Bug 1276354 - [GSS] (6.1.z) Tasks with ID higher than 1000 does not being completed
[GSS] (6.1.z) Tasks with ID higher than 1000 does not being completed
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.1.0
Unspecified Unspecified
urgent Severity high
: CR1
: 6.1.5
Assigned To: Neus Miras
Tomas David
:
Depends On: 1166663
Blocks: 1175887 1281586
  Show dependency treegraph
 
Reported: 2015-10-29 10:13 EDT by Anton Giertli
Modified: 2017-12-07 18:39 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1166663
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anton Giertli 2015-10-29 10:13:45 EDT
The fix is not complete - it does not work with different locale settings, please fix and re-test with settings like es_ES / it_IT ..

+++ This bug was initially created as a clone of Bug #1166663 +++

Description of problem:
Tasks with ID higher than 1000 does not being completed and the error is shown in the Firefox java script console:  uncaught exception: com.google.gwt.event.shared.UmbrellaException: Exception caught: For input string: "1,005"
Print screen attached.

Version-Release number of selected component (if applicable):
jbpms-6.0.2
jbpms-6.0.3
We tested in the versions above.


How reproducible, Steps to Reproduce:

I created a simple project with only one  human task, deployed the project and started 1002 instances of it using the following script:

for i in `seq 0 1001`
do
    curl -X POST -u 'user:password' http://localhost:8080/business-central/rest/runtime/{DeploymentID}/process/{ProcessID}/start
done

In my case curl is as follows:

curl -X POST -u 'jesuino:redhat2014!' http://localhost:8080/business-central/rest/runtime/com.redhat.gss.bpms:test-lots-ht:1.0/process/test-lots-ht.simple-ht-process/start

You need to replace user, password, deploymentId and processID with the parameters of your environment. Make use user is an actor of the human task.

When when I go to Tasks -> Tasks List, I see more than 1000 tasks tasks waiting to be completed. When I click on a task with more ID bigger than 1000 start it and and click in complete, I can see the mentioned error in the javascript console.

Actual results:
In the business-central at the Task List, the task should be completed but instead the error is shown in the javascript console: 
com.google.gwt.event.shared.UmbrellaException: Exception caught: For input string: "1,005" 


Expected results:
Task should be completed.

Additional info:
As workaround we can use this curl -X POST -u 'user:password' http://localhost:8080/business-central/rest/task/taskId/complete

But if the task receive parameters, this workaround will not work.

--- Additional comment from Spolti on 2014-11-21 07:52:26 EST ---



--- Additional comment from JBoss Product and Program Management on 2014-11-21 08:00:06 EST ---

Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

--- Additional comment from Spolti on 2014-11-21 14:54:26 EST ---

Tested with different locales:
Brazil (1 011) :  uncaught exception: com.google.gwt.event.shared.UmbrellaException: Exception caught: For input string: "1 011"

French (1.011) : uncaught exception: com.google.gwt.event.shared.UmbrellaException: Exception caught: For input string: "1.011"

United Kingdom (1,011) :  uncaught exception: com.google.gwt.event.shared.UmbrellaException: Exception caught: For input string: "1,011"

--- Additional comment from Mauricio Salatino on 2014-11-21 15:22:23 EST ---

This issue is no longer present in 6.2.x branch. I wasn't able to reproduce the issues described with the 6.0.3 version of the product.

--- Additional comment from Spolti on 2014-11-21 16:15:27 EST ---

Hello Mauricio.
All tests that I did was in the version 6.0.3.

--- Additional comment from Gary Hu on 2014-11-24 10:18:09 EST ---

Hi Mauricio,

I have tested bpms 6.0.3 following the reproducing steps mentioned in this bz and I'm able to see the same issue there. 

I'm running with an out-of-box installation.

Can you share us your steps in your testing on bpms 6.0.3?

Why this issue is no longer present in 6.2.x branch? Is it a test result or based on any jira/bz that we've fixed the issue there?

--- Additional comment from Alessandro Lazarotti on 2014-11-24 14:26:30 EST ---

Salaboy,

Customer is NOKIA and this is blocking them.
Which was the fix used in 6.2 ? Could you please try to test it using the product bits as described by the others above? The issue is consistently reproducible and we will need to provide a fix asap.

--- Additional comment from Mauricio Salatino on 2014-12-05 08:51:44 EST ---

I've fixed this in a branch based on 6.0.x -> and the patches can be obtained from here: 
https://github.com/droolsjbpm/jbpm-console-ng/commit/36ecfb702.patch

(optional but recommended: https://github.com/droolsjbpm/kie-wb-distributions/commit/857cebcad.patch)

I will NOT merge this with 6.0.x

The work can be tested by using the BZ-1166663 in the jbpm-console-ng and kie-wb repositories.

--- Additional comment from Mauricio Salatino on 2014-12-19 07:43:42 EST ---

merged in 6.0.x: 
http://github.com/droolsjbpm/kie-wb-distributions/commit/d435b3c7e
http://github.com/droolsjbpm/jbpm-console-ng/commit/c3f03723d
http://github.com/droolsjbpm/droolsjbpm-build-bootstrap/commit/ec156b7e3
http://github.com/droolsjbpm/kie-wb-distributions/commit/58c97e997

--- Additional comment from Jan Hrcek on 2015-01-20 04:23:59 EST ---

Ok, verified with BPM Suite 6.1.0 ER4

--- Additional comment from Kris Verlaenen on 2015-10-29 09:33:52 EDT ---

Reopening, see https://bugzilla.redhat.com/show_bug.cgi?id=1175887

The fix is locale-dependant.

See [1].

For example, it does not work with es_ES and it_IT locale.

In different locales (beside en_US), the 1,000 is apparently interpreted as ONE and not as THOUSAND, so you may end up with following exception:
https://ctrlv.cz/shots/2015/10/29/wq3Z.png

Please make sure that this is fixed across all locale settings.

[1] http://www.gwtproject.org/javadoc/latest/com/google/gwt/i18n/client/NumberFormat.html#getDecimalFormat()

This seems to have even more serious impact in 6.1

See task list with es_ES locale when there are tasks with id over 1000
https://ctrlv.cz/shots/2015/10/29/i2Gs.png

It's empty.

In comparison, the same Task List with en_US settings:
https://ctrlv.cz/shots/2015/10/29/Uu85.png
Comment 4 Mauricio Salatino 2015-11-04 08:54:04 EST
I cannot reproduce in 6.3.x, the new task list works as expected with more than 1000 tasks. Can you please check with the latest builds based on 6.3.x
Comment 5 Anton Giertli 2015-11-04 09:37:24 EST
Hi Mauricio,

I haven't tested with build based on community 6.3.x
Latest build - BxMS 6.2.0 ER5 - does not display Tasks in Task List due to
https://bugzilla.redhat.com/show_bug.cgi?id=1277466
so it is not possible to test whit with ER5.

Moreover, this bug is reported against BPM Suite 6.1.4 (which is based on community 6.2.x branch) and we would like to include it in the upcoming 6.1.5 release.

The fact that this is not reproducible in latest 6.3.x community release, does not really help I think (at least not for this BZ).

I think you may have set the NEEDINFO wrong, since GSS tests against current product version (which is 6.1.4), it's up to QA test against internal bits.

Cheers,
Anton
Comment 8 Neus Miras 2015-12-07 05:01:15 EST
I tried  to reproduce the issue related with the task Id higher than 1000. I found that was resolved. Following the last comments it seems was related with the locale change. The thing I found was the issue https://bugzilla.redhat.com/show_bug.cgi?id=1261052 that the datagrid wasn't prepare for the locale changes. In this commits we prepare the tasklist for that. 

Commits:
6.2.x
https://github.com/droolsjbpm/jbpm-console-ng/commit/f8833c955d8313c44adf188c2892d46930891ff5

0.5.x
https://github.com/uberfire/uberfire-extensions/commit/a4f3bac9d05686bba66d32ae56fb5cfc09128da2
Comment 9 Tomas David 2015-12-16 02:01:46 EST
Tested on 6.1.5.CR1. Issue is gone. Moving to verified.

Note You need to log in before you can comment on or make changes to this bug.